<?php

namespace Lc\SovBundle\Model\Setting;


use Lc\SovBundle\Model\File\FileInterface;
use Lc\SovBundle\Model\Site\SiteInterface;

interface SiteSettingInterface
{
    public function getName(): ?string;

    public function setName(?string $name);

    public function getText(): ?string;

    public function setText($text);

    public function getDate(): ?\DateTimeInterface;

    public function setDate(?\DateTimeInterface $date);

    public function getFile(): ?FileInterface;

    public function setFile(?FileInterface $file);

    public function getSite(): ?SiteInterface;

    public function setSite(?SiteInterface $site): SiteSettingInterface;
}